## org.biojava.bio.seq.io
Class SeqAlignReadWrite

    java.lang.Object
      org.biojava.bio.seq.io.SeqAlignReadWrite

public class SeqAlignReadWrite
extends java.lang.Object

Title: File2Biojava Description: This project will take in a file of any common bioinformatics file formats and convert it to the appropriate Biojava object. It will also convert the Biojava object back into the corresponding file format. Copyright: Copyright (c) 2002 Company: Maxygen

Version:
  1.0
Author:
  Nimesh Singh

Field Summary
`static int` `EMBL`
`static int` `FASTA`
`static int` `FASTAALIGN`
`static int` `FASTADNA`
`static int` `FASTAPROTEIN`
`static int` `GENBANK`
`static int` `GENPEPT`
`static int` `MSFDNA`
`static int` `MSFPROTEIN`
`static int` `SWISSPROT`

Constructor Summary
`SeqAlignReadWrite()`

Method Summary
`static void` `biojavaToFile(int fileType, java.io.OutputStream os, java.lang.Object biojava)` Converts a Biojava object to the given filetype.
`static java.lang.Object` `fileToBiojava(int fileType, java.io.BufferedReader br)` Reads a file and returns the corresponding Biojava object.
`static int` `guessFileType(java.lang.String fileName)` Attempts to guess the filetype of a file given the name
`static void` `main(java.lang.String[] args)` Just for testing purposes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FASTADNA

    public static final int FASTADNA

See Also:
  Constant Field Values

### FASTAPROTEIN

    public static final int FASTAPROTEIN

See Also:
  Constant Field Values

### EMBL

    public static final int EMBL

See Also:
  Constant Field Values

### GENBANK

    public static final int GENBANK

See Also:
  Constant Field Values

### SWISSPROT

    public static final int SWISSPROT

See Also:
  Constant Field Values

### GENPEPT

    public static final int GENPEPT

See Also:
  Constant Field Values

### MSFDNA

    public static final int MSFDNA

See Also:
  Constant Field Values

### FASTA

    public static final int FASTA

See Also:
  Constant Field Values

### FASTAALIGN

    public static final int FASTAALIGN

See Also:
  Constant Field Values

### MSFPROTEIN

    public static final int MSFPROTEIN

See Also:
  Constant Field Values

Constructor Detail

### SeqAlignReadWrite

    public SeqAlignReadWrite()

Method Detail

### guessFileType

    public static int guessFileType(java.lang.String fileName)
                             throws java.lang.Exception

  Attempts to guess the filetype of a file given the name

  Throws:
    `java.lang.Exception`

### fileToBiojava

    public static java.lang.Object fileToBiojava(int fileType,
                                                 java.io.BufferedReader br)
                                          throws java.lang.Exception

  Reads a file and returns the corresponding Biojava object.

  Throws:
    `java.lang.Exception`

### biojavaToFile

    public static void biojavaToFile(int fileType,
                                     java.io.OutputStream os,
                                     java.lang.Object biojava)
                              throws java.lang.Exception

  Converts a Biojava object to the given filetype.

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Just for testing purposes.

  Throws:
    `java.lang.Exception`